List account accruals v2

List account accruals with filtering options.

Note: This endpoint requires an account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a 401 Unauthorized message.

Path Params
int64
required
≥ 1

Account ID

Query Params
string
enum
Defaults to STOP_ACCRUAL

Interest accrual status.

  • PENDING: Accrual has been calculated but has not yet generated a transaction.
  • PROCESSED: Accrual has been processed and a transaction has been generated.
  • STOP_ACCRUAL: Due to a program parameter, the accrual has reached the maximum number of days to be posted as a transaction. For more information, refer to Limiting the number of days accruals can be charged.
Allowed:
string
enum
Defaults to REFINANCING

Interest accrual type.

  • REFINANCING: When payment is greater than the minimum and less than the total balance amount.
  • OVERDUE: When a payment is received that is less than the minimum amount required, the account enters overdue state, and refinancing of that type is calculated.
Allowed:
int64

Interest accrual ID. Depending on accrualType, endDate, and beginDate, some filters might be ignored. The other filters can be used concurrently.

int64

Transaction ID. When passed, the accrualType, endDate and beginDate filters are canceled. The other filters can be used concurrently.

integer

Statement ID. When passed, the accrualType, endDate and beginDate filters are canceled. The other filters can be used concurrently.

string

Beginning date filter. Return statements that have opening date after or equal to this date. Default value is account creation date. Format = yyyy-mm-dd.

string

End date filter. Return statements that have opening date before or equal to this date. Default value is today's date. Format = yyyy-mm-dd.

int32

Items per page. Default is 10.

int32
Defaults to 1

Page number

Headers
string
required

Account token, not a regular access token. Account tokens are encoded with an account ID. Tokens can expire quickly, which can result in an Unauthorized message.

Responses

Language
Credentials
Bearer
Account JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json